# RenewNameOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Renew name options

param

  the fully qualified name to renew including the namespace (myName.id)

param

  amount of STX to burn for the registration

param

  the private key to sign the transaction

param

  optionally choose a new owner address

param

  optionally update the zonefile hash

param

  the Stacks blockchain network to use

### Hierarchy

- RenewNameOptions

## Index

### Properties

- fullyQualifiedName
- network
- newOwnerAddress
- publicKey
- stxToBurn
- zonefile

## Properties

### fullyQualifiedName

fullyQualifiedName: string

- Defined in packages/bns/src/index.ts:750

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:753

### Optional newOwnerAddress

newOwnerAddress: string

- Defined in packages/bns/src/index.ts:754

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:752

### stxToBurn

stxToBurn: BN

- Defined in packages/bns/src/index.ts:751

### Optional zonefile

zonefile: string

- Defined in packages/bns/src/index.ts:755

Generated using TypeDoc